libzypp 17.38.15

TestcaseSetup.h File Reference
`#include <zypp/Arch.h>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/Flags.h>`
`#include <zypp/Locale.h>`
`#include <zypp-core/Pathname.h>`
`#include <zypp/ResolverFocus.h>`
`#include <zypp-core/Url.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/base/SetTracker.h>`
`#include <zypp/sat/Queue.h>`
`#include <zypp/target/modalias/Modalias.h>`
`#include <map>`
`#include <optional>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | zypp::misc::testcase::RepoData
class | zypp::misc::testcase::ForceInstall
class | zypp::misc::testcase::TestcaseSetup

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::misc
namespace | zypp::misc::testcase

## Enumerations
enum class | zypp::misc::testcase::TestcaseRepoType { zypp::misc::testcase::Helix , zypp::misc::testcase::Testtags , zypp::misc::testcase::Url }
enum | zypp::misc::testcase::ApplySetupFlag { zypp::misc::testcase::AS_REPOS_ONLY = 0 , zypp::misc::testcase::AS_SOLVER_FLAGS = (1 << 0) , zypp::misc::testcase::AS_LOCALES = (1 << 1) , zypp::misc::testcase::AS_AUTOINSTALLED = (1 << 2) , zypp::misc::testcase::AS_VENDOR_LISTS = (1 << 3) , zypp::misc::testcase::AS_MODALIAS = (1 << 4) , zypp::misc::testcase::AS_MULTIVERSION = (1 << 5) , zypp::misc::testcase::AS_LOCKS = (1 << 6) , zypp::misc::testcase::AS_UNIVERSE = AS_LOCALES | AS_AUTOINSTALLED | AS_VENDOR_LISTS | AS_MODALIAS | AS_MULTIVERSION | AS_LOCKS , zypp::misc::testcase::AS_ALL = ~0 }
| Bits controlling how much of the testcase setup is applied. More...

## Functions
| zypp::misc::testcase::ZYPP_DECLARE_FLAGS_AND_OPERATORS (ApplySetupFlags, ApplySetupFlag)